Bug 1124799 - Attempt to create thinpool larger than possible leaves auxiliary volume behind
Summary: Attempt to create thinpool larger than possible leaves auxiliary volume behind
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lvm2
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Kabelac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1278515
TreeView+ depends on / blocked
 
Reported: 2014-07-30 11:04 UTC by Michael Simacek
Modified: 2015-11-05 16:54 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1278515 (view as bug list)
Environment:
Last Closed: 2015-06-30 01:06:17 UTC


Attachments (Terms of Use)
lvcreate -vvvv output (79.73 KB, text/plain)
2014-07-30 11:04 UTC, Michael Simacek
no flags Details

Description Michael Simacek 2014-07-30 11:04:48 UTC
Created attachment 922486 [details]
lvcreate -vvvv output

Description of problem:
If creation of thinpool requests a size that is slightly more than available, it fails to create the thinpool (which is expected) but leaves a new unwanted volume lvol0.

Version-Release number of selected component (if applicable):
lvm2-2.02.106-1.fc20.x86_64

How reproducible:
always

Steps to Reproduce:
# my vg has only 1444 extents available
lvcreate -T fedora_unused-4-144/mypool -l 1500
 
Actual results:
Logical volume "lvol0" created
  Volume group "fedora_unused-4-144" has insufficient free space (1474 extents): 1500 required.

Output of the same command with -vvvv attached.

And the lvol0 is indeed there with size 8m.

Expected results:
If the command failed it shouldn't leave auxiliary volumes behind.

Comment 1 Corey Marthaler 2014-07-30 16:05:19 UTC
Reproduced this issue and will add a regression test case to the thin suite. 
It appears that you don't need just a "slightly" larger create attempt. I reproduced this with an attempt that was 5X the size of available space in the VG.


[root@host-026 ~]# vgs
  VG   #PV #LV #SN Attr   VSize  VFree 
  VG     4   0   0 wz--n- 29.98g 29.98g

[root@host-026 ~]# pvscan
  PV /dev/sda1   VG VG     lvm2 [7.50 GiB / 7.50 GiB free]
  PV /dev/sdb1   VG VG     lvm2 [7.50 GiB / 7.50 GiB free]
  PV /dev/sdc1   VG VG     lvm2 [7.50 GiB / 7.50 GiB free]
  PV /dev/sdd1   VG VG     lvm2 [7.50 GiB / 7.50 GiB free]

[root@host-026 ~]# vgs
  VG         #PV #LV #SN Attr   VSize  VFree 
  VG           4   0   0 wz--n- 29.98g 29.98g

[root@host-026 ~]# lvcreate -T VG/mypool -L 150G
  Logical volume "lvol0" created
  Volume group "VG" has insufficient free space (7657 extents): 38400 required.
[root@host-026 ~]# echo $?
5

[root@host-026 ~]# lvs -a -o +devices
  LV      VG   Attr       LSize   Pool Origin Data%  Devices
  lvol0   VG   -wi-------  76.00m                    /dev/sda1(0)




2.6.32-485.el6.x86_64
lvm2-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
lvm2-libs-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
lvm2-cluster-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
udev-147-2.57.el6    BUILT: Thu Jul 24 08:48:47 CDT 2014
device-mapper-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-libs-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-event-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-event-libs-1.02.87-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014
device-mapper-persistent-data-0.3.2-1.el6    BUILT: Fri Apr  4 08:43:06 CDT 2014
cmirror-2.02.108-1.el6    BUILT: Thu Jul 24 10:29:50 CDT 2014

Comment 2 Fedora End Of Life 2015-05-29 12:30:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-30 01:06:17 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.